Ati drivers problem.

Vincenzo Di Massa hawk78_it at yahoo.it
Tue Mar 22 08:32:54 UTC 2005


Alle 09:06, martedì 22 marzo 2005, Matt Zimmerman ha scritto:
> On Tue, Mar 22, 2005 at 08:59:46AM +0100, Vincenzo Di Massa wrote:
> > Alle 03:32, martedì 22 marzo 2005, Matt Zimmerman ha scritto:
> > > On Tue, Mar 22, 2005 at 12:48:49AM +0100, Vincenzo Di Massa wrote:
> > > > I noticed I have to reinstall xorg ati drivers package everytime I
> > > > need 3D in order get 3D GL support.
> > > > How can I detect which files from the drivers package are changed
> > > > singe last installation?
> > > > How can I fix this?
> > >
> > > http://www.ubuntu.com/wiki/BinaryDriverHowto
> >
> > I try to explain my problem a bit better...
> > When I install the drivers (following the instructions) my card works in
> > 2D and 3D.
> > After some upgrade/reboot the the 3D acceleration stops working until I
> > reinstall the xorg-driver-fglrx.
>
> You find that the package is no longer installed? 
No, the package is already installed, and it does not get uninstalled.
> Or you remove it and install it again in order to try to fix the problem? 
Yes, I just reinstall and then I can use 3D acceleration.
> Do you follow the full instructions, or only reinstall the package?
I followed the instrucions when I installed the fglrx stuff (well, I did 
already know how to set up a radeon card, so I just cecked that what is 
reccomended on the wiki is the same I did).
But the only thing that I do when it stops working is to reinstall 
xorg-driver-fglrx over the already installed package.

To explain even better:
###############################
hawk at hawk:/mnt/disk2/5/hawk$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)

hawk at hawk:/mnt/disk2/5/hawk$ sudo dpkg
 -i /var/cache/apt/archives/xorg-driver-fglrx_6.8.0-8.8.25-0ubuntu8_i386.deb
(Reading database ... 219970 files and directories currently installed.)
Preparing to replace xorg-driver-fglrx 6.8.0-8.8.25-0ubuntu8 
(using .../xorg-driver-fglrx_6.8.0-8.8.25-0ubuntu8_i386.deb) ...
Unpacking replacement xorg-driver-fglrx ...
Setting up xorg-driver-fglrx (6.8.0-8.8.25-0ubuntu8) ...

hawk at hawk:/mnt/disk2/5/hawk$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9600SE Generic
OpenGL version string: 1.3.4769 (X4.3.0-8.8.25)

#########################################################
>
> --
>  - mdz




More information about the ubuntu-users mailing list